<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:dk="kelis.fr:dokiel" exclude-result-prefixes="java sfacet sp dk " extension-element-prefixes="java sfacet sp dk " >

<xsl:param name="pItem"/>
<xsl:param name="pIdSubItem"/>
<xsl:param name="pOutlineContext"/>
<xsl:param name="pIncludeTitle"/>

<xsl:template match="/sc:item">
<xsl:choose>
<xsl:when test="$pIdSubItem">
<itemRoot xp="id('{$pIdSubItem}')">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="children"/>
</itemRoot>
</xsl:when>
<xsl:otherwise>
<itemRoot xp="sc:item">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="dk:webRootML" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="dk:webRootML" mode="children"/>
</itemRoot>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="dk:webRootML">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="dk:webRootML">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:webRootML/sp:lang">
<node name="Guide web" xp="dk:webRootML/sp:lang[{count(preceding-sibling::sp:lang) + 1}]">
<xsl:variable name="vTitle"/>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline includeTitle="false" refUri="{@sc:refUri}"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline includeTitle="true" refUri="{@sc:refUri}"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates mode="children" select="*[last()]"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates mode="titleNode" select="*[last()]"/>
<xsl:apply-templates mode="children" select="*[last()]"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>


<xsl:template match="node()|@*"/>
<xsl:template match="node()|@*" mode="titleNode"/>
<xsl:template match="node()|@*" mode="children"/>
</xsl:stylesheet>