<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc" version="1.0"><xsl:output omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param name="vComp"/><xsl:template match="*"><xsl:apply-templates select="*" mode="in"/></xsl:template><xsl:template mode="in" match="*"/><xsl:template mode="in" match="text()"><xsl:copy-of select="."/></xsl:template><xsl:template mode="in" match="sc:para"><p class="dk_text_p"><xsl:apply-templates mode="in"/></p></xsl:template><xsl:template mode="in" match="sc:simpleList"><ul class="dk_text_sl"><xsl:apply-templates mode="in"/></ul></xsl:template><xsl:template mode="in" match="sc:member"><li class="dk_text_m"><xsl:apply-templates mode="in"/></li></xsl:template><xsl:template mode="in" match="sc:itemizedList"><ul class="dk_text_il"><xsl:apply-templates mode="in"/></ul></xsl:template><xsl:template mode="in" match="sc:itemizedList/sc:listItem"><li class="dk_text_ili"><xsl:apply-templates mode="in"/></li></xsl:template><xsl:template mode="in" match="sc:orderedList"><ol class="dk_text_ol"><xsl:apply-templates mode="in"/></ol></xsl:template><xsl:template mode="in" match="sc:orderedList/sc:listItem"><li class="dk_text_oli"><xsl:apply-templates mode="in"/></li></xsl:template><xsl:template mode="in" match="sc:uLink"><a class="dk_text_ul"><xsl:attribute name="href"><xsl:value-of xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="@url"/></xsl:attribute><xsl:attribute name="target">_blank</xsl:attribute><addAttribute filter="textOnly" name="title"><xsl:value-of select="@url"/> (nouvelle fenêtre)</addAttribute><span><xsl:apply-templates mode="in"/></span></a></xsl:template><xsl:template mode="in" match="sc:uLink[@role=&quot;def&quot;]"><span class="dk_text_ul_def"><crossRef><xsl:variable select="getIdFromPath(@sc:refUri)" name="vValue"/><entry value="{$vValue}" keyRef="def"/></crossRef><scTooltip trigger="onmouseover" class="dk_text_tt_def" classRoot="" options="STICKY:true"><scTooltipTitle><span>[![escapeXml;agent=@<xsl:value-of select="si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))"/>/fullTitleText]!]</span></scTooltipTitle><scTooltipContent><span>[![agent=@<xsl:value-of select="getIdFromPath(@sc:refUri)"/>_Att/xhtmlContent]!]</span></scTooltipContent></scTooltip><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:uLink[@role=&quot;ref&quot;]"><span class="dk_text_ul_ref"><scTooltip trigger="onmouseover" class="dk_text_tt_ref" classRoot="" options="STICKY:true"><scTooltipTitle><span>[![escapeXml;agent=@<xsl:value-of select="si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))"/>/fullTitleText]!]</span></scTooltipTitle><scTooltipContent><span>[![agent=@<xsl:value-of select="getIdFromPath(@sc:refUri)"/>/xhtmlContent]!]</span></scTooltipContent></scTooltip><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:uLink[@role=&quot;doc&quot;]"><span class="dk_text_ul_doc"><crossRef><xsl:variable select="getIdFromPath(@sc:refUri)" name="vValue"/><entry value="{$vValue}" keyRef="doc"/></crossRef><scTooltip trigger="onmouseover" class="dk_text_tt_doc" classRoot="" options="STICKY:true,MAXHEIGHT:400"><scTooltipTitle><span>[![escapeXml;agent=@<xsl:value-of select="si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))"/>/fullTitleText]!]</span></scTooltipTitle><scTooltipContent><span>[![agent=@<xsl:value-of select="getIdFromPath(@sc:refUri)"/>/xhtmlContent]!]</span></scTooltipContent></scTooltip><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:uLink[@role=&quot;web&quot;]"><a class="dk_text_ul_web"><xsl:attribute name="href">[![dialog=<xsl:value-of xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="concat('@', getIdFromPath(@sc:refUri), '_Alnk')"/>;arguments=act:]!]</xsl:attribute><xsl:attribute name="target">_blank</xsl:attribute><span><scTooltip trigger="onmouseover" class="dk_text_tt_web" classRoot="" options="STICKY:true,MAXHEIGHT:400"><scTooltipTitle><span>[![escapeXml;agent=@<xsl:value-of select="si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))"/>/fullTitleText]!]</span></scTooltipTitle><scTooltipContent><span>[![agent=@<xsl:value-of select="getIdFromPath(@sc:refUri)"/>/xhtmlContent]!]</span></scTooltipContent></scTooltip><xsl:apply-templates mode="in"/></span></a></xsl:template><xsl:template mode="in" match="sc:inlineStyle[@role='emphasis']"><span class="dk_text_is_emphasis"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:inlineStyle[@role='alt']"><span class="dk_text_is_alt"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='textButton']"><span class="dk_text_tl_textButton"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='textRadioButton']"><span class="dk_text_tl_textRadioButton"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='textCheckBox']"><span class="dk_text_tl_textCheckBox"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='keyboard']"><span class="dk_text_tl_keyboard"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='menuPath']"><span class="dk_text_tl_menuPath"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='label']"><span class="dk_text_tl_label"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:textLeaf[@role='filePath']"><span class="dk_text_tl_filePath"><xsl:apply-templates mode="in"/></span></xsl:template><xsl:template mode="in" match="sc:inlineImg[@role='iconButton']"><span class="dk_text_tim_iconButton"><alternative alt="{.}">[![agent=@<xsl:value-of select="si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))"/>/xhtmlContent]!]</alternative></span></xsl:template><xsl:template mode="in" match="sc:inlineImg[@role='area']"><span class="dk_text_tim_area"><alternative alt="{.}">[![agent=@<xsl:value-of select="si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))"/>_Aicon/xhtmlContent]!]</alternative></span></xsl:template></xsl:stylesheet>